import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { Calendar } from '../../utils/Calendar';
import { CalendarEvent } from '../../utils/CalendarEvent';
import { NgbDatepickerConfig, NgbDatepicker } from '@ng-bootstrap/ng-bootstrap';
import { Subject } from 'rxjs/Subject';
import { Subscription } from 'rxjs/Subscription';
export declare class YearViewComponent implements OnInit, OnChanges {
    private config;
    /**
    * The current view date
    */
    viewDate: Date;
    /**
    * An array of calendars to display on view.
    */
    calendars: Calendar[];
    /**
    * An observable that when emitted on will re-render the current view
    */
    refresh: Subject<any>;
    /**
    * @hidden
    */
    refreshSubscription: Subscription;
    ngbDatepicker: NgbDatepicker;
    displayMonths: number;
    navigation: string;
    showWeekNumbers: boolean;
    /**
    * Called when the event title is clicked
    */
    dayClicked: EventEmitter<{
        day: Date;
        events: CalendarEvent[];
    }>;
    constructor(config: NgbDatepickerConfig);
    ngOnInit(): void;
    /**
    * @hidden
    */
    ngOnChanges(changes: any): void;
    daySelected(date: any): void;
    isToday(date: any): boolean;
    isReserved(date: any): boolean;
    getColor(date: any): string;
}
